Bug 229477 - games-puzzle/xphotohunter-1.4-r1 needs imlib with USE gtk
Bug#: 229477 Product:  Gentoo Linux Version: unspecified Platform: All
OS/Version: Linux Status: RESOLVED Severity: enhancement Priority: P3
Resolution: FIXED Assigned To: games@gentoo.org Reported By: mr_bones_@gentoo.org
Component: Games
URL: 
Summary: games-puzzle/xphotohunter-1.4-r1 needs imlib with USE gtk
Keywords:  
Status Whiteboard: 
Opened: 2008-06-26 03:31 0000
Description:   Opened: 2008-06-26 03:31 0000
Please mark xphotohunter-1.4-r1.ebuild stable.

------- Comment #1 From Christian Faulhammer 2008-06-26 08:30:45 0000 -------
Fails here with:

 serial 481 error_code 8 request_code 62 minor_code 

Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0,
2.6.24-gentoo-r8 i686)
=================================================================
System uname: 2.6.24-gentoo-r8 i686 AMD Athlon(tm) X2 Dual Core Processor
BE-2400
Timestamp of tree: Wed, 25 Jun 2008 21:00:02 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/ /opt/openjms/config
/usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown
/usr/share/config /var/lib/hsqldb /var/spool/torque /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf
/etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
/etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo
/etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms
strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
--exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.informatik.rwth-aachen.de/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi aiglx alsa apache2 apm applet
artworkextra asf audiofile avahi bash-completion beagle berkdb bidi bogofilter
bootsplash branding bzip2 cairo ccache cdda cddb cdparanoia cdr cli console
cracklib crypt css cups curl custom-cflags dbus dga directfb divx4linux dri dts
dvd dvdr dvdread dvi eds emacs emboss encode esd evince evo exif fam fat fbcon
fdftk ffmpeg firefox flac foomaticdb fortran ftp gb gcj gdbm gif glitz gnome
gpm gsf gstreamer gtk gtk2 gtkhtml hal howl iconv icq idn imagemagick imap
imlib immqt-bc isdnlog java javascript jpeg jpeg2k kde ldap libnotify lirc
lm_sensors mad maildir matroska mbox mdnsresponder-compat midi mikmod mime
mjpeg mmx mmxext mng mono mp3 mpeg mpeg2 mudflap mule mysql nautilus ncurses
nforce2 nls nocardbus nptl nptlonly nsplugin nvidia objc objc++ objc-gc
offensive ogg opengl openmp pam pango pcre pdf perl php plotutils pmu png ppds
pppd prediction preview-latex print python qt3 qt3support qt4 quicktime
readline reflection samba sdk session slang spell spl sse ssl svg svga t1lib
tcl tcpd tetex theora threads thumbnailing tiff tk toolkit-scroll-bars totem
tracker truetype truetype-fonts type1-fonts udev unicode usb userlocales vcd
videos vorbis win32codecs wmf wxwindows x86 xface xft xine xml xorg xosd xpm xv
xvid zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix
dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter
mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions
alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file
authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user
autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires
ext_filter file_cache filter headers include info log_config logio mem_cache
mime mime_magic negotiation rewrite setenvif speling status unique_id userdir
usertrack vhost_alias" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="mouse
keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216
lcdm001 mtxorb ncurses text" LINGUAS="de" LIRC_DEVICES="atiusb" USERLAND="GNU"
VIDEO_CARDS="vesa fbdev fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #2 From Christian Faulhammer 2008-06-26 08:54:51 0000 -------
Oh and needs imlib built with USE=gtk

------- Comment #3 From Jeremy Olexa (darkside) 2008-08-26 00:31:59 0000 -------
-xphotohunter uses esdplay, missing dep on esound. 
- Comment #2

Mind if I commit this bit below?

Index: xphotohunter-1.4-r1.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/games-puzzle/xphotohunter/xphotohunter-1.4-r1.
ebuild,v
retrieving revision 1.3
diff -u -r1.3 xphotohunter-1.4-r1.ebuild
--- xphotohunter-1.4-r1.ebuild  25 Aug 2008 23:00:51 -0000      1.3
+++ xphotohunter-1.4-r1.ebuild  26 Aug 2008 00:29:00 -0000
@@ -17,6 +17,18 @@
 IUSE=""

 DEPEND="media-libs/imlib"
+RDEPEND="${DEPEND}
+       media-sound/esound"
+
+pkg_setup() {
+       games_pkg_setup
+
+       if ! built_with_use media-libs/imlib gtk; then
+               eerror "media-libs/imlib is not built with gtk useflag."
+               eerror "Please add 'gtk' to your USE flags, and re-emerge
imlib.
"
+               die "media-libs/imlib needs gtk"
+       fi
+}

------- Comment #4 From Mr. Bones. 2008-08-26 01:07:54 0000 -------
I added the rdep.   We'll pick up the use requirement with use-based deps
later.

------- Comment #5 From Jeremy Olexa (darkside) 2008-08-26 01:47:08 0000 -------
(In reply to comment #4)
> I added the rdep.   We'll pick up the use requirement with use-based deps
> later.
> 

Thanks. 

We will mark it stable (amd64) once the use flag conditional code is in the
ebuild then since xphotohunter doesn't even compile if imlib is built without
the gtk use flag. Please update this bug when that is added. (btw, I do not
speak for the x86 team). Thanks..

------- Comment #6 From Thomas Anderson (tanderson) 2008-08-27 12:12:16 0000 -------
stable amd64 since not using built_with_use is standard games policy

------- Comment #7 From Samuli Suominen 2008-12-16 16:22:01 0000 -------
Revision 1.3  - (view) (download) (annotate) - [select for diffs]
Mon Aug 25 23:00:51 2008 UTC (3 months, 3 weeks ago) by mr_bones_
Branch: MAIN
Changes since 1.2: +2 -2 lines
Diff to previous 1.2

stable for x86
(Portage version: 2.1.4.4)

Nothing to do for x86 here, it was stabilized by Mr_Bones_ without ChangeLog
entry.

I fixed the ebuild to respect CC using toolchain-funcs, though.

Leaving this bug open for inclusion of built_with_use or use deps.. or if games
wants to fix the ChangeLog, or close it.. whatever.. sigh..

------- Comment #8 From Mr. Bones. 2008-12-16 16:24:02 0000 -------
We'll pick it up later with use-based deps.

------- Comment #9 From Mr. Bones. 2009-01-03 22:12:45 0000 -------
bugzilla

------- Comment #10 From Mr. Bones. 2009-01-03 22:12:59 0000 -------
added use-based dep.